Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000870Core InformModel worldpublic2012-02-25 12:562014-05-07 07:33
ReporterErzengel 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000870: Directions for doors or rooms with entrances in different directions show in text replacements as the opposite of the other side
DescriptionSTEPS TO REPRODUCE
1. Place a door in two rooms, but providing different directions in each room.
  Ex. A door is north of room 1 and west in room 2.
2. Use some text substitution that includes the direction of the door.
3. Observe the resulting direction.
RESULT
The resulting direction is always the opposite of the opposite side. For example, if standing in room 1 and obtaining a direction to room 2, the given direction will be "east" when it should be "north". In room 2, the given direction is "south" when it should be "west".
EXPECTED RESULT
The direction of the door from the location should be the correct direction.
Minimal Source Text To Reproduce
Test is a room. Other room is a room. 

Arch is an open unopenable door. Arch is north of test and east of other room. Description of arch is 
"An arch to [the direction of item described from location]."

test me with "x arch / n / x arch / e".
Additional InformationThis can be seen in chapter 16.10, example 295 "Misadventure" on the third command in "test me". (go to dark corridor//go to plover room, shows "heading southwest" when plover room is south of dark corridor)

The way around, when possible, is [opposite of the direction of the opposite side of the door from location].
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0001593)
EmacsUser (manager)
2012-02-27 10:06

Confirmed, also with the example from WI 3.12:

- - - -
The red rock stair is a door.
The red rock stair is east of the Orchard and above the Undertomb.
When play begins:
showme the direction of the red rock stair from the Undertomb.
- - - -
(0002500)
graham (administrator)
2014-02-15 03:06

Fixed.

- Issue History
Date Modified Username Field Change
2012-02-25 12:56 Erzengel New Issue
2012-02-27 10:06 EmacsUser Note Added: 0001593
2012-02-27 10:06 EmacsUser Reproducibility have not tried => always
2012-02-27 10:06 EmacsUser Status new => confirmed
2012-02-27 10:06 EmacsUser Category Spacing and printing => Model world
2014-02-15 03:06 graham Note Added: 0002500
2014-02-15 03:06 graham Status confirmed => resolved
2014-02-15 03:06 graham Resolution open => fixed
2014-02-15 03:06 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker